petsc-3.4.2 2013-07-02

# PetscOptionsInsertFile

Inserts options into the database from a file.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsertFile(MPI_Comm comm,const char file[],PetscBool require)

Collective on MPI_Comm

### Input Parameter

| comm | - the processes that will share the options (usually PETSC_COMM_WORLD)
| file | - name of file
| require | - if PETSC_TRUE will generate an error if the file does not exist

Notes: Use # for lines that are comments and which should be ignored.

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:developer
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages